@charset "utf-8";

/********************/
/* フォント */
/********************/

:root {
  --NotoSans: 'Noto Sans JP', sans-serif;
  --Inter: 'Inter', sans-serif;
}


/********************/
/* 共通 */
/********************/

.p-magic-body {
  width: 100%;
  font-family: var(--NotoSans);
  line-height: 2.1875;
  background-color: #FFF1EC;
  color: #312F56;
}
.p-magic-body.is-active {
  overflow: hidden;
}

.p-magic-main {
  overflow: hidden;
}

.p-magic-body img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.p-magic-body a,
.p-magic-body span {
  display: inline-block;
}


/* PC版とsp版で表示非表示の切り替え */

.p-magic-pcShow {
  display: none;
}

@media screen and (min-width: 768px) {
  .p-magic-pcShow {
    display: block;
  }
  .p-magic-pcNone {
    display: none;
  }
}


/* セクション要素 */

.p-magic-common-inner {
  margin: 0 auto;
  max-width: 390px;
  padding: 0 24px;
  position: relative;
}

.p-magic-common-title {
  text-align: center;
  font-weight: 700;
  font-size: 24px;
}

.p-magic-common-button {
  margin: 0 auto;
  width: 217px;
  height: 44px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.p-magic-common-link {
  width: 100%;
  height: 100%;
  text-align: center;
  font-family: var(--Inter);
  font-weight: 700;
  font-size: 16px;
  line-height: 44px;
  color: #312F56;
  border-radius: 35px;
  background: #FFC75D;
  transition: 0.3s;
}

.p-magic-common-link:hover {
  color: #FFF1EC;
  background: #312F56;
}

@media screen and (min-width: 768px) {
  .p-magic-common-inner {
    max-width: 1300px;
    padding: 0 50px;
  }
  .p-magic-common-title {
    font-size: 40px;
  }
  .p-magic-common-button {
    width: 278px;
    height: 69px;
  }
  .p-magic-common-link {
    font-size: 24px;
    line-height: 69px;
  }
}



/*-------------------------------------
ヘッダー
-------------------------------------*/

.p-magic-header {
  width: 100%;
  height: 70px;
  background-color: #FFF1EC;
  position: relative;
  z-index: 999;
}

.p-magic-header__inner {
  width: 100%;
  height: 100%;
  padding: 0 26px 0 24px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.p-magic-header__logo {
  width: 94px;
  position: relative;
  z-index: 999;
}

.p-magic-header__menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  padding: 112px min(calc(25 / 390 * 100vw), 25px) 150px 60px;
  background-color: #EC6364;
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  z-index: 999;
}
.p-magic-header__menu.is-active {
  opacity: 1;
  visibility: visible;
  overflow: scroll;
}

.p-magic-header__drawer-logo {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 85px;
  background-color: #EC6364;
  z-index: 9;
}
.p-magic-header__drawer-logo .p-magic-header__logo {
  width: 105px;
  margin-top: 25px;
  margin-left: 24px;
}

.p-magic-header__nav__sub-list {
  margin-top: 5px;
  margin-left: 1px;
}

.p-magic-header__nav__item:not(:first-child) {
  margin-top: 7px;
}
.p-magic-header__nav__item--about {
  margin-bottom: 17px;
}

.p-magic-header__nav__link {
  font-family: var(--Inter);
  font-weight: 700;
  font-size: 20px;
  line-height: 2;
  color: #FFF1EC;
}

.p-magic-header__nav__sub-link {
  padding-left: 24px;
  font-family: var(--Inter);
  font-weight: 700;
  font-size: 16px;
  line-height: 1.4;
  color: #FFF1EC;
  position: relative;
}
.p-magic-header__nav__sub-link::before {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  content: "";
  width: 6px;
  height: 2px;
  background-color: #FFF1EC;
}

.p-magic-header__button {
  margin-top: 60px;
}

.p-magic-header__button__list {
  display: flex;
  flex-wrap: wrap;
  gap: 22px 16px;
}

.p-magic-body a.p-magic-header__button__link {
  width: 130px;
  height: 34px;
  border-radius: 17px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #FFF1EC;
  color: #312F56;
  font-weight: 700;
  font-size: 16px;
}
.p-magic-header__button__item:first-child .p-magic-header__button__link {
  width: 182px;
}

.p-magic-header__nav__english-zone {
  margin-top: 34px;
}

.p-magic-header__nav__english {
  padding-right: 32px;
  padding-bottom: 7px;
  position: relative;
}
.p-magic-header__nav__english::before {
  position: absolute;
  top: 12px;
  right: 1px;
  content: "";
  width: 19px;
  height: 18px;
  background-image: url(../image/icon_open_sp.svg);
  background-repeat: no-repeat;
  background-size: contain;
}
.p-magic-header__nav__english span {
  font-weight: 700;
  font-size: 16px;
  letter-spacing: 0.02em;
  line-height: 1.1;
  color: #FFF1EC;
  border-bottom: 1px solid #FFF1EC;
}

.p-magic-hamburger {
  position: absolute;
  top: 19px;
  right: 20px;
  width: 36px;
  height: 28px;
  padding: 5px;
  cursor: pointer;
  transition: 0.3s;
  z-index: 9999;
}
.p-magic-hamburger.is-active {
  position: fixed;
  top: 29px;
  right: 16px;
  width: 38px;
}

.p-magic-hamburger__line-zone {
  width: 100%;
  height: 100%;
  position: relative;
}

.p-magic-hamburger__line {
  display: inline-block;
  position: absolute;
  left: 0;
  content: "";
  width: 100%;
  height: 3px;
  border-radius: 3px;
  background-color: #EC6364;
  transition: 0.3s;
}
.p-magic-hamburger__line:nth-child(1) {
  top: 0;
}
.p-magic-hamburger__line:nth-child(2) {
  top: 9px;
}
.p-magic-hamburger__line:nth-child(3) {
  top: 17px;
}
.p-magic-hamburger.is-active .p-magic-hamburger__line:nth-child(1) {
  top: 8px;
  transform: rotate(-45deg);
  background-color: #FFF1EC;
}
.p-magic-hamburger.is-active .p-magic-hamburger__line:nth-child(2) {
  opacity: 0;
}
.p-magic-hamburger.is-active .p-magic-hamburger__line:nth-child(3) {
  top: 8px;
  transform: rotate(45deg);
  background-color: #FFF1EC;
}


/* レスポンシブ */

@media screen and (min-width: 768px) {

  .p-magic-header {
    height: auto;
  }

  .p-magic-header__inner {
    max-width: 1250px;
    margin: 0 auto;
    padding: 13px 21px 0;
    display: flex;
    justify-content: space-between;
  }

  .p-magic-header__logo {
    width: 218px;
    transform: translate(-3px, -7px);
  }

  .p-magic-header__menu {
    position: relative;
    left: auto;
    right: 0;
    width: auto;
    height: 100%;
    padding: 11px 3px 0 80px;
    background-color: unset;
    opacity: 1;
    visibility: visible;
    display: flex;
    flex-direction: column-reverse;
  }

  .p-magic-header__nav__list {
    margin-top: 12px;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    column-gap: 32px;
  }

  .p-magic-header__nav__item {
    position: relative;
  }
  .p-magic-header__nav__item:not(:first-child) {
    margin-top: 0;
  }
  .p-magic-header__nav__item--about {
    margin-bottom: 0;
    padding-bottom: 15px;
  }

  .p-magic-header__nav__sub-list {
    margin-top: 0;
    margin-left: 3px;
    position: absolute;
    top: 100%;
    left: 0;
    width: 158px;
    padding: 10px;
    transition: 0.3s;
    opacity: 0;
    visibility: hidden;
    z-index: 1;
  }
  .p-magic-header__nav__link--about:hover + .p-magic-header__nav__sub-list,
  .p-magic-header__nav__sub-list:hover {
    opacity: 1;
    visibility: visible;
  }
  .p-magic-header__nav__sub-list::before {
    position: absolute;
    bottom: 99%;
    left: 50%;
    transform: translateX(-50%);
    content: "";
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 10px 10px 10px;
    border-color: transparent transparent #FFF1EC transparent;
  }
  .p-magic-header__nav__sub-list::after {
    position: absolute;
    top: -3px;
    left: -3px;
    content: "";
    width: calc(100% + 6px);
    height: calc(100% + 6px);
    border-radius: 10px;
    background-color: #FFF1EC;
    z-index: -1;
  }

  .p-magic-header__nav__sub-item {
    line-height: 1;
    position: relative;
    z-index: 1;
  }
  .p-magic-header__nav__sub-item:not(:first-child) {
    margin-top: 8px;
  }

  .p-magic-header__nav__sub-link {
    width: 84%;
    margin-left: 8%;
    padding-left: 0;
    text-align: center;
    font-size: 14px;
  }

  .p-magic-header__nav__sub-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    background-color: #EC6364;
  }
  .p-magic-header__nav__sub-bg::before {
    position: absolute;
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    content: "";
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 5px 5px 5px;
    border-color: transparent transparent #EC6364 transparent;
  }

  .p-magic-header__nav__link {
    font-family: var(--NotoSans);
    font-size: 16px;
    line-height: calc(30 / 16);
    color: #EC6364;
    position: relative;
  }
  .p-magic-header__nav__item--about .p-magic-header__nav__link {
    display: inline-block;
    position: relative;
  }
  .p-magic-header__nav__link--about:hover::before {
    position: absolute;
    top: 100%;
    left: 0;
    content: "";
    width: 100%;
    height: 20px;
  }
  .p-magic-header__nav__link::after {
    position: absolute;
    bottom: 0;
    left: 50%;
    content: '';
    width: 0;
    height: 2px;
    background-color: #EC6364;
    transition: 0.3s;
    transform: translateX(-50%);
  }
  .p-magic-header__nav__link:hover::after {
    width: 100%;
  }
  .p-magic-header__nav__sub-list:hover ~ .p-magic-header__nav__link--about::after {
    width: 100%;
  }

  .p-magic-header__button {
    margin-top: 0;
  }

  .p-magic-header__button__list {
    justify-content: flex-end;
    column-gap: 23px;
  }

  .p-magic-body a.p-magic-header__button__link {
    background-color: #FFC75D;
    transition: 0.3s;
  }
  .p-magic-body a.p-magic-header__button__link:hover {
    background-color: #312F56;
    color: #FFF1EC;
  }

  .p-magic-header__nav__english {
    margin-top: 7px;
    margin-left: 23px;
    padding-right: 28px;
    padding-bottom: 2px;
    line-height: 1.1;
  }
  .p-magic-header__nav__english::before {
    top: 5px;
    width: 15px;
    height: 10px;
    background-image: url(../image/icon_open.svg);
  }
  .p-magic-header__nav__english span {
    font-size: 12px;
    color: #EC6364;
    border-bottom: 1px solid #EC6364;
  }

}





/*-------------------------------------
最上部へ戻る
-------------------------------------*/

.p-magic-pageTop {
  position: fixed;
  bottom: 150px;
  right: min(calc(122 / 1440 * 100vw), 122px);
  width: 98px;
  height: 98px;
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  cursor: pointer;
  z-index: 999;
}
.p-magic-pageTop.is-active {
  opacity: 1;
  visibility: visible;
}
.p-magic-pageTop::before {
  position: absolute;
  top: 0;
  left: 0;
  content: "";
  width: 100%;
  height: 100%;
  background-image: url(../image/icon_top.svg);
  background-repeat: no-repeat;
  background-size: contain;
  transition: 0.3s;
}
.p-magic-pageTop.is-active:hover::before {
  background-image: url(../image/icon_top_hover.svg);
}





/*-------------------------------------
無料体験レッスンに申し込む
-------------------------------------*/

.p-magic-entry {
  position: fixed;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 999;
}

.p-magic-body a.p-magic-entry__link {
  width: 315px;
  height: 55px;
  border-radius: 28px;
  border: 2px solid #312F56;
  background: #FFF1EC;
  box-shadow: 6px 6px 0px 0px #312F56;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: var(--Inter);
  font-weight: 700;
  font-size: 16px;
  color: #312F56;
  transition: 0.3s;
}
.p-magic-body a.p-magic-entry__link:hover {
  border: 2px solid #FFF1EC;
  background: #312F56;
  color: #FFF1EC;
}





/*-------------------------------------
フッター
-------------------------------------*/

.p-magic-footer {
  margin-top: -30px;
  padding-top: 180px;
  padding-bottom: 100px;
  background-image: url(../image/footer_bg_sp.svg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: top;
}

.p-magic-footer__title {
  color: #FFFBF9;
}

.p-magic-footer__button-zone {
  margin-top: 26px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.p-magic-body a.p-magic-footer__button {
  width: 100%;
  max-width: 300px;
  border-radius: 55px;
  background: #FFF1EC;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  font-size: 16px;
  transition: 0.3s;
}
.p-magic-footer__button:nth-child(1) {
  height: 48px;
}
.p-magic-footer__button:nth-child(2) {
  margin-top: 22px;
  height: 60px;
}

.p-magic-body a.p-magic-footer__button:hover {
  border: 3px solid #FFF1EC;
  background: #312F56;
  color: #FFF1EC;
}

.p-magic-footer__button__tel {
  font-family: var(--Inter);
  font-size: 16px;
}

.p-magic-footer__button__time {
  margin-top: -9px;
  font-size: 12px;
}

.p-magic-footer__list {
  width: 70%;
  margin: 75px auto 0;
  transform: translateX(-7%);
}

.p-magic-footer__item:not(:first-child) {
  margin-top: 28px;
}

.p-magic-footer__item__title {
  font-weight: 700;
  font-size: 14px;
  color: #FFFBF9;
  padding-bottom: 7px;
  border-bottom: 2px solid #FFF1EC;
}

.p-magic-footer__link-zone {
  margin-top: 5px;
}

.p-magic-footer__link-zone li:not(:first-child) {
  margin-top: -5px;
}

.p-magic-footer__link {
  font-weight: 700;
  font-size: 12px;
  color: #FFFBF9;
  transition: 0.3s;
}
.p-magic-footer__link:not(:first-child) {
  margin-top: 5px;
}

.p-magic-footer__link:hover {
  opacity: 0.7;
}

.p-magic-footer__last-item {
  margin-top: 50px;
}

.p-magic-footer__last-item li:not(:first-child) {
  margin-top: 7px;
}

.p-magic-footer__last-item__link {
  font-weight: 700;
  font-size: 14px;
  color: #FFFBF9;
  transition: 0.3s;
}

.p-magic-footer__last-item__link:hover {
  opacity: 0.7;
}

.p-magic-footer__logo {
  margin: 100px auto 0;
  width: 145px;
}

.footer__copy {
  margin-top: 13px;
  text-align: center;
  font-weight: 700;
  font-size: 12px;
  line-height: calc(25 / 12);
  color: #FFFBF9;
}


/* レスポンシブ */

@media screen and (min-width: 500px) {

  .p-magic-footer {
    padding-top: 35vw;
  }

}

@media screen and (min-width: 768px) {

  .p-magic-footer {
    margin-top: 80px;
    padding-top: 185px;
    padding-bottom: 80px;
    background-image: url(../image/footer_bg.svg);
  }

  .p-magic-footer__button-zone {
    margin-top: 45px;
    flex-direction: row;
    justify-content: center;
    column-gap: 32px;
  }

  .p-magic-body a.p-magic-footer__button {
    max-width: none;
    width: calc((100% - 32px) / 2);
    font-size: min(3vw, 30px);
  }
  .p-magic-footer__button:nth-child(1),
  .p-magic-footer__button:nth-child(2) {
    margin-top: 0;
    height: 107px;
  }

  .p-magic-footer__button__tel {
    font-size: min(3vw, 30px);
  }

  .p-magic-footer__button__time {
    margin-top: -16px;
    font-size: 16px;
  }

  .p-magic-footer__list {
    width: 91%;
    margin-top: 77px;
    transform: unset;
    display: flex;
    column-gap: calc((100% - 164px) * 6.4 / 100);
  }

  .p-magic-footer__item {
    width: calc((100% - 164px) * 26.9 / 100);
  }
  .p-magic-footer__item:not(:first-child) {
    margin-top: 0;
  }

  .p-magic-footer__last-item {
    margin-top: 0;
    width: 164px;
  }

  .p-magic-footer__item__title {
    font-size: min(1.6vw, 16px);
    padding-bottom: 5px;
  }

  .p-magic-footer__link-zone {
    margin-top: 17px;
  }

  .p-magic-footer__link,
  .p-magic-footer__last-item__link {
    font-size: min(1.4vw, 14px);
  }

  .p-magic-footer__logo {
    margin-top: 70px;
    width: 175px;
  }

  .footer__copy {
    font-size: 16px;
  }

}